<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;


if (isset($_REQUEST["itemname"])) {
    $itemname = $_REQUEST['itemname'];
    $colrcode = $_REQUEST['color'];

    $cond = "";
    if (!empty($itemname)) {
        $cond = " AND `code` ='$itemname' ";
    }

    $query = "SELECT `rate`, code, `cost`,  `hsncode`,type FROM `rawmat` WHERE code!='' $cond";

    $result = mysqli_query($conn, $query)or die(mysqli_error($conn));
    $rows = array();
    $ctr = 0;
    $r = mysqli_fetch_assoc($result);
    $getm = mysqli_query($conn, "SELECT sum(qty) as tqty FROM `rawsacn` WHERE `itemcode`='$itemname' and color = '$colrcode'")or die(mysqli_error($conn));
//    print table($getm);
    if (!empty($getm)) {
        $m = mysqli_fetch_array($getm);
        $stkqty = $m['tqty'];
        if ($stkqty != 0) {
            $stqty = $stkqty;
        } else {
            $stqty = 0;
        }
    } else {
        $stqty = 0;
    }



//    $getunit = mysqli_query($conn,  "SELECT `code`, `name` FROM `unit` WHERE code='$r[unit]'")or die(mysqli_error($conn));
//    $fetunit = mysqli_fetch_array($getunit);

    $rows = array('success' => true,
        'rate' => "$r[rate]",
        'cost' => "$r[cost]",
//        'unit' => "$fetunit[name]",
        'mrp' => "$r[mrp]",
        'hsncode' => "$r[hsncode]",
        'stqty' => "$stqty",
        'type' => "$r[type]");
    header("Content-type: application\json");
    echo json_encode($rows);
}